Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.automate
Class AuthorizedKeys

    java.lang.Object
      com.sshtools.common.automate.AuthorizedKeys

public class AuthorizedKeys
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`AuthorizedKeys()`

Method Summary
`void` | `addKey(java.lang.String username, SshPublicKey key)` DOCUMENT ME!
`boolean` | `containsKey(SshPublicKey key)` DOCUMENT ME!
`static byte[]` | `create(AuthorizedKeys keys, java.lang.String serverId, AuthorizedKeysFileSaver saver)` DOCUMENT ME!
`java.util.Map` | `getAuthorizedKeys()` DOCUMENT ME!
`static AuthorizedKeys` | `parse(byte[] formatted, java.lang.String serverId, AuthorizedKeysFileLoader loader)` DOCUMENT ME!
`void` | `removeKey(SshPublicKey key)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizedKeys

    public AuthorizedKeys()

Method Detail

### getAuthorizedKeys

    public java.util.Map getAuthorizedKeys()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addKey

    public void addKey(java.lang.String username,
                       SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
    `key` - DOCUMENT ME!

### removeKey

    public void removeKey(SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!

### containsKey

    public boolean containsKey(SshPublicKey key)

  DOCUMENT ME!

  Parameters:
    `key` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### parse

    public static AuthorizedKeys parse(byte[] formatted,
                                       java.lang.String serverId,
                                       AuthorizedKeysFileLoader loader)
                                throws RemoteIdentificationException,
                                       java.io.IOException,
                                       InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `formatted` - DOCUMENT ME!
    `serverId` - DOCUMENT ME!
    `loader` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### create

    public static byte[] create(AuthorizedKeys keys,
                                java.lang.String serverId,
                                AuthorizedKeysFileSaver saver)
                         throws RemoteIdentificationException,
                                java.io.IOException,
                                InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `keys` - DOCUMENT ME!
    `serverId` - DOCUMENT ME!
    `saver` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD